package com.phlx.anchorcollect.event;

/**
 * <pre>
 *     author : lei
 *     e-mail : 18600395998@163.com
 *     time   : 2019/08/26
 *     desc   :
 *     version: 1.0
 * </pre>
 */

public class EventMsg<T> {

    private String key;

    private T data;

    public EventMsg(String key) {
        this.key = key;
    }

    public EventMsg(String key, T data) {
        this.key = key;
        this.data = data;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
